Skip to content

A new offer's editor: the tiers and periods it can apply to

GET
/api/v1/workspaces/{workspace}/earn/offers/new
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/earn/offers/new \
--header 'Authorization: Bearer <token>'

Permission: earn:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
account
required
string
amountOffCents
integer format: int64
applies
required
Array<object>
object
currency
required
string
period
required
string
Allowed values: month year
priceCents
required
integer format: int64
short
required
string
tier
required
string
tierId
required
string
byCode
required
boolean
byLink
required
boolean
canEdit
required
boolean
choices
required
Array<object>
object
currency
required
string
period
required
string
Allowed values: month year
priceCents
required
integer format: int64
short
required
string
tier
required
string
tierId
required
string
code
required
string
codeDays
required
integer format: int64
codes
required
Array<object>
object
code
required
string
expiresAt
required
string format: date-time
issuedAt
required
string format: date-time
issuedTo
required
string
redeemedAt
string format: date-time
status
required
string
Allowed values: not_redeemed redeemed expired
connected
required
boolean
currency
required
string
discountType
required
string
Allowed values: percent amount
duration
required
string
Allowed values: once months forever
endedAt
string format: date-time
endedBy
string
endedReason
string
Allowed values: date limit early
endsAt
string format: date-time
helpers
required
Array<string>
id
required
string
kind
required
string
Allowed values: signup retention referral
limit
integer format: int64
link
string
linkHost
string
minPaidMonths
required
integer format: int64
months
integer format: int64
name
required
string
newOnly
required
boolean
percentOff
integer format: int64
provider
required
string
results
required
object
acceptRate
number format: double
accepted
required
integer format: int64
codesIssued
required
integer format: int64
codesRedeemed
required
integer format: int64
mrrCents
required
integer format: int64
newMembers
required
integer format: int64
redemptions
required
integer format: int64
shown
required
integer format: int64
startedAt
required
string format: date-time
startedBy
string
state
required
string
Allowed values: live limit ended missing draft
status
required
string
Allowed values: live ended
stripe
required
object
coupon
string
couponUrl
string
missing
required
boolean
mode
string
promotionCode
string
sync
required
string
Allowed values: draft synced failed
syncError
string
upgradeHost
required
string

Example

{
"applies": [
{
"period": "month"
}
],
"choices": [
{
"period": "month"
}
],
"codes": [
{
"status": "not_redeemed"
}
],
"discountType": "percent",
"duration": "once",
"endedReason": "date",
"kind": "signup",
"state": "live",
"status": "live",
"sync": "draft"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}